
Database - Feature #1656

add Microsoft SQL Server support

10/21/2012 05:51 PM - Eric Faulhaber

Status: Closed Start date: 08/06/2013

Priority: Normal Due date: 09/27/2013

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Cleanup and Stablization for Server

Features

  

billable: No vendor_id: GCD

Description

Subtasks:

Feature # 2141: generate SQL Server schema Closed

Feature # 2143: prototype IKVM solution for Java UDFs compiled to CIL assemblies and lo... Closed

Feature # 2148: enhance prototype to compile p2jpl.jar file with IKVMC into .NET assemb... Closed

Feature # 2273: address remaining limitations of SQL Server needed to support legacy 4G... Closed

History

#1 - 10/21/2012 06:09 PM - Eric Faulhaber

- Estimated time set to 320.00

We need to be able to run Java UDFs inside the database server process.  This task will require:

building an infrastructure to run Java UDFs inside the server (similar to the UDF support offered by PL/Java for PostgreSQL) and creating a

P2JDialect implementation for any (backup plan:  use C#/.NET and a bridge to Java);

creating a SQL Server P2JDialect to deal with any idiosyncrasies of the SQL Server database;

ensuring the DDL generation part of the conversion works properly;

ensuring the data import works properly.

#2 - 10/31/2012 04:04 PM - Greg Shah

- Target version set to Milestone 11

#3 - 03/28/2016 12:08 AM - Eric Faulhaber

- Status changed from New to Closed

Functional work is complete. Any bugs will be tracked independently.

#4 - 11/16/2016 12:06 PM - Greg Shah

- Target version changed from Milestone 11 to Cleanup and Stablization for Server Features
